source: squid-ssl/trunk/fuentes/src/adaptation/icap/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 39.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/adaptation/icap
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libicap_la_LIBADD =
162am_libicap_la_OBJECTS = Client.lo Config.lo Elements.lo Options.lo \
163        ServiceRep.lo Launcher.lo OptXact.lo Xaction.lo ModXact.lo \
164        icap_log.lo History.lo
165libicap_la_OBJECTS = $(am_libicap_la_OBJECTS)
166AM_V_lt = $(am__v_lt_@AM_V@)
167am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
168am__v_lt_0 = --silent
169am__v_lt_1 =
170AM_V_P = $(am__v_P_@AM_V@)
171am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
172am__v_P_0 = false
173am__v_P_1 = :
174AM_V_GEN = $(am__v_GEN_@AM_V@)
175am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
176am__v_GEN_0 = @echo "  GEN     " $@;
177am__v_GEN_1 =
178AM_V_at = $(am__v_at_@AM_V@)
179am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
180am__v_at_0 = @
181am__v_at_1 =
182DEFAULT_INCLUDES =
183depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
184am__depfiles_maybe = depfiles
185am__mv = mv -f
186CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
187        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
188LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
189        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
190        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
191        $(AM_CXXFLAGS) $(CXXFLAGS)
192AM_V_CXX = $(am__v_CXX_@AM_V@)
193am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
194am__v_CXX_0 = @echo "  CXX     " $@;
195am__v_CXX_1 =
196CXXLD = $(CXX)
197CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
199        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
200AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
201am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
202am__v_CXXLD_0 = @echo "  CXXLD   " $@;
203am__v_CXXLD_1 =
204COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
205        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
206LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
207        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
208        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
209        $(AM_CFLAGS) $(CFLAGS)
210AM_V_CC = $(am__v_CC_@AM_V@)
211am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
212am__v_CC_0 = @echo "  CC      " $@;
213am__v_CC_1 =
214CCLD = $(CC)
215LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
216        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
217        $(AM_LDFLAGS) $(LDFLAGS) -o $@
218AM_V_CCLD = $(am__v_CCLD_@AM_V@)
219am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
220am__v_CCLD_0 = @echo "  CCLD    " $@;
221am__v_CCLD_1 =
222SOURCES = $(libicap_la_SOURCES)
223DIST_SOURCES = $(libicap_la_SOURCES)
224am__can_run_installinfo = \
225  case $$AM_UPDATE_INFO_DIR in \
226    n|no|NO) false;; \
227    *) (install-info --version) >/dev/null 2>&1;; \
228  esac
229am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
230# Read a list of newline-separated strings from the standard input,
231# and print each of them once, without duplicates.  Input order is
232# *not* preserved.
233am__uniquify_input = $(AWK) '\
234  BEGIN { nonempty = 0; } \
235  { items[$$0] = 1; nonempty = 1; } \
236  END { if (nonempty) { for (i in items) print i; }; } \
237'
238# Make sure the list of sources is unique.  This is necessary because,
239# e.g., the same source file might be shared among _SOURCES variables
240# for different programs/libraries.
241am__define_uniq_tagged_files = \
242  list='$(am__tagged_files)'; \
243  unique=`for i in $$list; do \
244    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
245  done | $(am__uniquify_input)`
246ETAGS = etags
247CTAGS = ctags
248am__tty_colors_dummy = \
249  mgn= red= grn= lgn= blu= brg= std=; \
250  am__color_tests=no
251am__tty_colors = { \
252  $(am__tty_colors_dummy); \
253  if test "X$(AM_COLOR_TESTS)" = Xno; then \
254    am__color_tests=no; \
255  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
256    am__color_tests=yes; \
257  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
258    am__color_tests=yes; \
259  fi; \
260  if test $$am__color_tests = yes; then \
261    red='[0;31m'; \
262    grn='[0;32m'; \
263    lgn='[1;32m'; \
264    blu='[1;34m'; \
265    mgn='[0;35m'; \
266    brg='[1m'; \
267    std='[m'; \
268  fi; \
269}
270am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
271am__vpath_adj = case $$p in \
272    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
273    *) f=$$p;; \
274  esac;
275am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
276am__install_max = 40
277am__nobase_strip_setup = \
278  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
279am__nobase_strip = \
280  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
281am__nobase_list = $(am__nobase_strip_setup); \
282  for p in $$list; do echo "$$p $$p"; done | \
283  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
284  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
285    if (++n[$$2] == $(am__install_max)) \
286      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
287    END { for (dir in files) print dir, files[dir] }'
288am__base_list = \
289  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
290  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
291am__uninstall_files_from_dir = { \
292  test -z "$$files" \
293    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
294    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
295         $(am__cd) "$$dir" && rm -f $$files; }; \
296  }
297am__recheck_rx = ^[     ]*:recheck:[    ]*
298am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
299am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
300# A command that, given a newline-separated list of test names on the
301# standard input, print the name of the tests that are to be re-run
302# upon "make recheck".
303am__list_recheck_tests = $(AWK) '{ \
304  recheck = 1; \
305  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
306    { \
307      if (rc < 0) \
308        { \
309          if ((getline line2 < ($$0 ".log")) < 0) \
310            recheck = 0; \
311          break; \
312        } \
313      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
314        { \
315          recheck = 0; \
316          break; \
317        } \
318      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
319        { \
320          break; \
321        } \
322    }; \
323  if (recheck) \
324    print $$0; \
325  close ($$0 ".trs"); \
326  close ($$0 ".log"); \
327}'
328# A command that, given a newline-separated list of test names on the
329# standard input, create the global log from their .trs and .log files.
330am__create_global_log = $(AWK) ' \
331function fatal(msg) \
332{ \
333  print "fatal: making $@: " msg | "cat >&2"; \
334  exit 1; \
335} \
336function rst_section(header) \
337{ \
338  print header; \
339  len = length(header); \
340  for (i = 1; i <= len; i = i + 1) \
341    printf "="; \
342  printf "\n\n"; \
343} \
344{ \
345  copy_in_global_log = 1; \
346  global_test_result = "RUN"; \
347  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
348    { \
349      if (rc < 0) \
350         fatal("failed to read from " $$0 ".trs"); \
351      if (line ~ /$(am__global_test_result_rx)/) \
352        { \
353          sub("$(am__global_test_result_rx)", "", line); \
354          sub("[        ]*$$", "", line); \
355          global_test_result = line; \
356        } \
357      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
358        copy_in_global_log = 0; \
359    }; \
360  if (copy_in_global_log) \
361    { \
362      rst_section(global_test_result ": " $$0); \
363      while ((rc = (getline line < ($$0 ".log"))) != 0) \
364      { \
365        if (rc < 0) \
366          fatal("failed to read from " $$0 ".log"); \
367        print line; \
368      }; \
369      printf "\n"; \
370    }; \
371  close ($$0 ".trs"); \
372  close ($$0 ".log"); \
373}'
374# Restructured Text title.
375am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
376# Solaris 10 'make', and several other traditional 'make' implementations,
377# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
378# by disabling -e (using the XSI extension "set +e") if it's set.
379am__sh_e_setup = case $$- in *e*) set +e;; esac
380# Default flags passed to test drivers.
381am__common_driver_flags = \
382  --color-tests "$$am__color_tests" \
383  --enable-hard-errors "$$am__enable_hard_errors" \
384  --expect-failure "$$am__expect_failure"
385# To be inserted before the command running the test.  Creates the
386# directory for the log if needed.  Stores in $dir the directory
387# containing $f, in $tst the test, in $log the log.  Executes the
388# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
389# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
390# will run the test scripts (or their associated LOG_COMPILER, if
391# thy have one).
392am__check_pre = \
393$(am__sh_e_setup);                                      \
394$(am__vpath_adj_setup) $(am__vpath_adj)                 \
395$(am__tty_colors);                                      \
396srcdir=$(srcdir); export srcdir;                        \
397case "$@" in                                            \
398  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
399    *) am__odir=.;;                                     \
400esac;                                                   \
401test "x$$am__odir" = x"." || test -d "$$am__odir"       \
402  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
403if test -f "./$$f"; then dir=./;                        \
404elif test -f "$$f"; then dir=;                          \
405else dir="$(srcdir)/"; fi;                              \
406tst=$$dir$$f; log='$@';                                 \
407if test -n '$(DISABLE_HARD_ERRORS)'; then               \
408  am__enable_hard_errors=no;                            \
409else                                                    \
410  am__enable_hard_errors=yes;                           \
411fi;                                                     \
412case " $(XFAIL_TESTS) " in                              \
413  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
414    am__expect_failure=yes;;                            \
415  *)                                                    \
416    am__expect_failure=no;;                             \
417esac;                                                   \
418$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
419# A shell command to get the names of the tests scripts with any registered
420# extension removed (i.e., equivalently, the names of the test logs, with
421# the '.log' extension removed).  The result is saved in the shell variable
422# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
423# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
424# since that might cause problem with VPATH rewrites for suffix-less tests.
425# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
426am__set_TESTS_bases = \
427  bases='$(TEST_LOGS)'; \
428  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
429  bases=`echo $$bases`
430RECHECK_LOGS = $(TEST_LOGS)
431AM_RECURSIVE_TARGETS = check recheck
432TEST_SUITE_LOG = test-suite.log
433TEST_EXTENSIONS = @EXEEXT@ .test
434LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
435LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
436am__set_b = \
437  case '$@' in \
438    */*) \
439      case '$*' in \
440        */*) b='$*';; \
441          *) b=`echo '$@' | sed 's/\.log$$//'`; \
442       esac;; \
443    *) \
444      b='$*';; \
445  esac
446am__test_logs1 = $(TESTS:=.log)
447am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
448TEST_LOGS = $(am__test_logs2:.test.log=.log)
449TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
450TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
451        $(TEST_LOG_FLAGS)
452am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
453        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
454        $(top_srcdir)/src/TestHeaders.am
455DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
456ACLOCAL = @ACLOCAL@
457ADAPTATION_LIBS = @ADAPTATION_LIBS@
458ALLOCA = @ALLOCA@
459AMTAR = @AMTAR@
460AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
461AR = @AR@
462AR_R = @AR_R@
463AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
464AUTH_MODULES = @AUTH_MODULES@
465AUTOCONF = @AUTOCONF@
466AUTOHEADER = @AUTOHEADER@
467AUTOMAKE = @AUTOMAKE@
468AWK = @AWK@
469BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
470BUILDCXX = @BUILDCXX@
471BUILDCXXFLAGS = @BUILDCXXFLAGS@
472BZR = @BZR@
473CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
474CC = @CC@
475CCDEPMODE = @CCDEPMODE@
476CFLAGS = @CFLAGS@
477CGIEXT = @CGIEXT@
478CHMOD = @CHMOD@
479CPP = @CPP@
480CPPFLAGS = @CPPFLAGS@
481CPPUNITCONFIG = @CPPUNITCONFIG@
482CRYPTLIB = @CRYPTLIB@
483CXX = @CXX@
484CXXCPP = @CXXCPP@
485CXXDEPMODE = @CXXDEPMODE@
486CXXFLAGS = @CXXFLAGS@
487CYGPATH_W = @CYGPATH_W@
488DEFAULT_HOSTS = @DEFAULT_HOSTS@
489DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
490DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
491DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
492DEFS = @DEFS@
493DEPDIR = @DEPDIR@
494DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
495DISK_LIBS = @DISK_LIBS@
496DISK_LINKOBJS = @DISK_LINKOBJS@
497DISK_MODULES = @DISK_MODULES@
498DISK_OS_LIBS = @DISK_OS_LIBS@
499DISK_PROGRAMS = @DISK_PROGRAMS@
500DLLTOOL = @DLLTOOL@
501DSYMUTIL = @DSYMUTIL@
502DUMPBIN = @DUMPBIN@
503ECAP_LIBS = @ECAP_LIBS@
504ECHO_C = @ECHO_C@
505ECHO_N = @ECHO_N@
506ECHO_T = @ECHO_T@
507EGREP = @EGREP@
508EPOLL_LIBS = @EPOLL_LIBS@
509EUILIB = @EUILIB@
510EXEEXT = @EXEEXT@
511EXPATLIB = @EXPATLIB@
512EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
513EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
514EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
515FALSE = @FALSE@
516FGREP = @FGREP@
517GREP = @GREP@
518HAVE_CXX11 = @HAVE_CXX11@
519ICAP_LIBS = @ICAP_LIBS@
520INCLTDL = @INCLTDL@
521INSTALL = @INSTALL@
522INSTALL_DATA = @INSTALL_DATA@
523INSTALL_PROGRAM = @INSTALL_PROGRAM@
524INSTALL_SCRIPT = @INSTALL_SCRIPT@
525INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
526KRB5INCS = @KRB5INCS@
527KRB5LIBS = @KRB5LIBS@
528LBERLIB = @LBERLIB@
529LD = @LD@
530LDAPLIB = @LDAPLIB@
531LDFLAGS = @LDFLAGS@
532LIBADD_DL = @LIBADD_DL@
533LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
534LIBADD_DLOPEN = @LIBADD_DLOPEN@
535LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
536LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
537LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
538LIBLTDL = @LIBLTDL@
539LIBOBJS = @LIBOBJS@
540LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
541LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
542LIBS = @LIBS@
543LIBSASL = @LIBSASL@
544LIBTOOL = @LIBTOOL@
545LIB_DB = @LIB_DB@
546LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
547LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
548LINUXDOC = @LINUXDOC@
549LIPO = @LIPO@
550LN = @LN@
551LN_S = @LN_S@
552LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
553LTDLDEPS = @LTDLDEPS@
554LTDLINCL = @LTDLINCL@
555LTDLOPEN = @LTDLOPEN@
556LTLIBOBJS = @LTLIBOBJS@
557LT_ARGZ_H = @LT_ARGZ_H@
558LT_CONFIG_H = @LT_CONFIG_H@
559LT_DLLOADERS = @LT_DLLOADERS@
560LT_DLPREOPEN = @LT_DLPREOPEN@
561LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
562MAINT = @MAINT@
563MAKEINFO = @MAKEINFO@
564MANIFEST_TOOL = @MANIFEST_TOOL@
565MINGW_LIBS = @MINGW_LIBS@
566MKDIR = @MKDIR@
567MKDIR_P = @MKDIR_P@
568MV = @MV@
569NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
570NETTLELIB = @NETTLELIB@
571NM = @NM@
572NMEDIT = @NMEDIT@
573NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
574OBJDUMP = @OBJDUMP@
575OBJEXT = @OBJEXT@
576OTOOL = @OTOOL@
577OTOOL64 = @OTOOL64@
578PACKAGE = @PACKAGE@
579PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
580PACKAGE_NAME = @PACKAGE_NAME@
581PACKAGE_STRING = @PACKAGE_STRING@
582PACKAGE_TARNAME = @PACKAGE_TARNAME@
583PACKAGE_URL = @PACKAGE_URL@
584PACKAGE_VERSION = @PACKAGE_VERSION@
585PATH_SEPARATOR = @PATH_SEPARATOR@
586PERL = @PERL@
587PKG_CONFIG = @PKG_CONFIG@
588PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
589PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
590PO2HTML = @PO2HTML@
591PO2TEXT = @PO2TEXT@
592POD2MAN = @POD2MAN@
593RANLIB = @RANLIB@
594REGEXLIB = @REGEXLIB@
595REPL_LIBS = @REPL_LIBS@
596REPL_OBJS = @REPL_OBJS@
597REPL_POLICIES = @REPL_POLICIES@
598RM = @RM@
599SED = @SED@
600SET_MAKE = @SET_MAKE@
601SH = @SH@
602SHELL = @SHELL@
603SMBCLIENT = @SMBCLIENT@
604SNMPLIB = @SNMPLIB@
605SQUID_CFLAGS = @SQUID_CFLAGS@
606SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
607SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
608SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
609SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
610SSLLIB = @SSLLIB@
611STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
612STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
613STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
614STORE_TESTS = @STORE_TESTS@
615STRIP = @STRIP@
616TR = @TR@
617TRUE = @TRUE@
618URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
619VERSION = @VERSION@
620WBINFO = @WBINFO@
621WIN32_PSAPI = @WIN32_PSAPI@
622XMLLIB = @XMLLIB@
623XTRA_LIBS = @XTRA_LIBS@
624XTRA_OBJS = @XTRA_OBJS@
625abs_builddir = @abs_builddir@
626abs_srcdir = @abs_srcdir@
627abs_top_builddir = @abs_top_builddir@
628abs_top_srcdir = @abs_top_srcdir@
629ac_ct_AR = @ac_ct_AR@
630ac_ct_CC = @ac_ct_CC@
631ac_ct_CXX = @ac_ct_CXX@
632ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
633am__include = @am__include@
634am__leading_dot = @am__leading_dot@
635am__quote = @am__quote@
636am__tar = @am__tar@
637am__untar = @am__untar@
638bindir = @bindir@
639build = @build@
640build_alias = @build_alias@
641build_cpu = @build_cpu@
642build_os = @build_os@
643build_vendor = @build_vendor@
644builddir = @builddir@
645datadir = @datadir@
646datarootdir = @datarootdir@
647docdir = @docdir@
648dvidir = @dvidir@
649exec_prefix = @exec_prefix@
650host = @host@
651host_alias = @host_alias@
652host_cpu = @host_cpu@
653host_os = @host_os@
654host_vendor = @host_vendor@
655htmldir = @htmldir@
656includedir = @includedir@
657infodir = @infodir@
658install_sh = @install_sh@
659krb5_config = @krb5_config@
660libdir = @libdir@
661libexecdir = @libexecdir@
662localedir = @localedir@
663localstatedir = @localstatedir@
664ltdl_LIBOBJS = @ltdl_LIBOBJS@
665ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
666mandir = @mandir@
667mkdir_p = @mkdir_p@
668oldincludedir = @oldincludedir@
669pdfdir = @pdfdir@
670prefix = @prefix@
671program_transform_name = @program_transform_name@
672psdir = @psdir@
673runstatedir = @runstatedir@
674sbindir = @sbindir@
675sharedstatedir = @sharedstatedir@
676srcdir = @srcdir@
677subdirs = @subdirs@
678sys_symbol_underscore = @sys_symbol_underscore@
679sysconfdir = @sysconfdir@
680target_alias = @target_alias@
681top_build_prefix = @top_build_prefix@
682top_builddir = @top_builddir@
683top_srcdir = @top_srcdir@
684AM_CFLAGS = $(SQUID_CFLAGS)
685AM_CXXFLAGS = $(SQUID_CXXFLAGS)
686CLEANFILES = testHeaders
687TESTS = testHeaders
688AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
689        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
690        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
691        $(am__append_1)
692@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
693@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
694COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
695subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
696noinst_LTLIBRARIES = libicap.la
697libicap_la_SOURCES = \
698        Client.cc \
699        Client.h \
700        InOut.h \
701        Config.cc \
702        Config.h \
703        Elements.cc \
704        Elements.h \
705        Options.cc \
706        Options.h \
707        ServiceRep.cc \
708        ServiceRep.h \
709        Launcher.cc \
710        Launcher.h \
711        OptXact.cc \
712        OptXact.h \
713        Xaction.cc \
714        Xaction.h \
715        ModXact.cc \
716        ModXact.h \
717        icap_log.cc \
718        icap_log.h \
719        History.cc \
720        History.h
721
722all: all-am
723
724.SUFFIXES:
725.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
726$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
727        @for dep in $?; do \
728          case '$(am__configure_deps)' in \
729            *$$dep*) \
730              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
731                && { if test -f $@; then exit 0; else break; fi; }; \
732              exit 1;; \
733          esac; \
734        done; \
735        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/adaptation/icap/Makefile'; \
736        $(am__cd) $(top_srcdir) && \
737          $(AUTOMAKE) --gnu src/adaptation/icap/Makefile
738Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
739        @case '$?' in \
740          *config.status*) \
741            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
742          *) \
743            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
744            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
745        esac;
746$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
747
748$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750
751$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
754        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
755$(am__aclocal_m4_deps):
756
757clean-noinstLTLIBRARIES:
758        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
759        @list='$(noinst_LTLIBRARIES)'; \
760        locs=`for p in $$list; do echo $$p; done | \
761              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
762              sort -u`; \
763        test -z "$$locs" || { \
764          echo rm -f $${locs}; \
765          rm -f $${locs}; \
766        }
767
768libicap.la: $(libicap_la_OBJECTS) $(libicap_la_DEPENDENCIES) $(EXTRA_libicap_la_DEPENDENCIES)
769        $(AM_V_CXXLD)$(CXXLINK)  $(libicap_la_OBJECTS) $(libicap_la_LIBADD) $(LIBS)
770
771clean-checkPROGRAMS:
772        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
773        echo " rm -f" $$list; \
774        rm -f $$list || exit $$?; \
775        test -n "$(EXEEXT)" || exit 0; \
776        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
777        echo " rm -f" $$list; \
778        rm -f $$list
779
780mostlyclean-compile:
781        -rm -f *.$(OBJEXT)
782
783distclean-compile:
784        -rm -f *.tab.c
785
786@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Client.Plo@am__quote@
787@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Config.Plo@am__quote@
788@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Elements.Plo@am__quote@
789@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/History.Plo@am__quote@
790@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Launcher.Plo@am__quote@
791@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModXact.Plo@am__quote@
792@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/OptXact.Plo@am__quote@
793@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Options.Plo@am__quote@
794@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceRep.Plo@am__quote@
795@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Xaction.Plo@am__quote@
796@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/icap_log.Plo@am__quote@
797
798.cc.o:
799@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
800@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
801@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
802@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
803@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
805
806.cc.obj:
807@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
808@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
809@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
810@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
811@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
812@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
813
814.cc.lo:
815@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
816@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
817@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
818@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
819@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
821
822mostlyclean-libtool:
823        -rm -f *.lo
824
825clean-libtool:
826        -rm -rf .libs _libs
827
828ID: $(am__tagged_files)
829        $(am__define_uniq_tagged_files); mkid -fID $$unique
830tags: tags-am
831TAGS: tags
832
833tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
834        set x; \
835        here=`pwd`; \
836        $(am__define_uniq_tagged_files); \
837        shift; \
838        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
839          test -n "$$unique" || unique=$$empty_fix; \
840          if test $$# -gt 0; then \
841            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
842              "$$@" $$unique; \
843          else \
844            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
845              $$unique; \
846          fi; \
847        fi
848ctags: ctags-am
849
850CTAGS: ctags
851ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
852        $(am__define_uniq_tagged_files); \
853        test -z "$(CTAGS_ARGS)$$unique" \
854          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
855             $$unique
856
857GTAGS:
858        here=`$(am__cd) $(top_builddir) && pwd` \
859          && $(am__cd) $(top_srcdir) \
860          && gtags -i $(GTAGS_ARGS) "$$here"
861cscopelist: cscopelist-am
862
863cscopelist-am: $(am__tagged_files)
864        list='$(am__tagged_files)'; \
865        case "$(srcdir)" in \
866          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
867          *) sdir=$(subdir)/$(srcdir) ;; \
868        esac; \
869        for i in $$list; do \
870          if test -f "$$i"; then \
871            echo "$(subdir)/$$i"; \
872          else \
873            echo "$$sdir/$$i"; \
874          fi; \
875        done >> $(top_builddir)/cscope.files
876
877distclean-tags:
878        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
879
880# Recover from deleted '.trs' file; this should ensure that
881# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
882# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
883# to avoid problems with "make -n".
884.log.trs:
885        rm -f $< $@
886        $(MAKE) $(AM_MAKEFLAGS) $<
887
888# Leading 'am--fnord' is there to ensure the list of targets does not
889# expand to empty, as could happen e.g. with make check TESTS=''.
890am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
891am--force-recheck:
892        @:
893
894$(TEST_SUITE_LOG): $(TEST_LOGS)
895        @$(am__set_TESTS_bases); \
896        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
897        redo_bases=`for i in $$bases; do \
898                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
899                    done`; \
900        if test -n "$$redo_bases"; then \
901          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
902          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
903          if $(am__make_dryrun); then :; else \
904            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
905          fi; \
906        fi; \
907        if test -n "$$am__remaking_logs"; then \
908          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
909               "recursion detected" >&2; \
910        elif test -n "$$redo_logs"; then \
911          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
912        fi; \
913        if $(am__make_dryrun); then :; else \
914          st=0;  \
915          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
916          for i in $$redo_bases; do \
917            test -f $$i.trs && test -r $$i.trs \
918              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
919            test -f $$i.log && test -r $$i.log \
920              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
921          done; \
922          test $$st -eq 0 || exit 1; \
923        fi
924        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
925        ws='[   ]'; \
926        results=`for b in $$bases; do echo $$b.trs; done`; \
927        test -n "$$results" || results=/dev/null; \
928        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
929        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
930        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
931        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
932        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
933        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
934        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
935        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
936          success=true; \
937        else \
938          success=false; \
939        fi; \
940        br='==================='; br=$$br$$br$$br$$br; \
941        result_count () \
942        { \
943            if test x"$$1" = x"--maybe-color"; then \
944              maybe_colorize=yes; \
945            elif test x"$$1" = x"--no-color"; then \
946              maybe_colorize=no; \
947            else \
948              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
949            fi; \
950            shift; \
951            desc=$$1 count=$$2; \
952            if test $$maybe_colorize = yes && test $$count -gt 0; then \
953              color_start=$$3 color_end=$$std; \
954            else \
955              color_start= color_end=; \
956            fi; \
957            echo "$${color_start}# $$desc $$count$${color_end}"; \
958        }; \
959        create_testsuite_report () \
960        { \
961          result_count $$1 "TOTAL:" $$all   "$$brg"; \
962          result_count $$1 "PASS: " $$pass  "$$grn"; \
963          result_count $$1 "SKIP: " $$skip  "$$blu"; \
964          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
965          result_count $$1 "FAIL: " $$fail  "$$red"; \
966          result_count $$1 "XPASS:" $$xpass "$$red"; \
967          result_count $$1 "ERROR:" $$error "$$mgn"; \
968        }; \
969        {                                                               \
970          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
971            $(am__rst_title);                                           \
972          create_testsuite_report --no-color;                           \
973          echo;                                                         \
974          echo ".. contents:: :depth: 2";                               \
975          echo;                                                         \
976          for b in $$bases; do echo $$b; done                           \
977            | $(am__create_global_log);                                 \
978        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
979        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
980        if $$success; then                                              \
981          col="$$grn";                                                  \
982         else                                                           \
983          col="$$red";                                                  \
984          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
985        fi;                                                             \
986        echo "$${col}$$br$${std}";                                      \
987        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
988        echo "$${col}$$br$${std}";                                      \
989        create_testsuite_report --maybe-color;                          \
990        echo "$$col$$br$$std";                                          \
991        if $$success; then :; else                                      \
992          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
993          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
994            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
995          fi;                                                           \
996          echo "$$col$$br$$std";                                        \
997        fi;                                                             \
998        $$success || exit 1
999
1000check-TESTS:
1001        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1002        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1003        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1004        @set +e; $(am__set_TESTS_bases); \
1005        log_list=`for i in $$bases; do echo $$i.log; done`; \
1006        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1007        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1008        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1009        exit $$?;
1010recheck: all $(check_PROGRAMS)
1011        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1012        @set +e; $(am__set_TESTS_bases); \
1013        bases=`for i in $$bases; do echo $$i; done \
1014                 | $(am__list_recheck_tests)` || exit 1; \
1015        log_list=`for i in $$bases; do echo $$i.log; done`; \
1016        log_list=`echo $$log_list`; \
1017        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1018                am__force_recheck=am--force-recheck \
1019                TEST_LOGS="$$log_list"; \
1020        exit $$?
1021testHeaders.log: testHeaders
1022        @p='testHeaders'; \
1023        b='testHeaders'; \
1024        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1025        --log-file $$b.log --trs-file $$b.trs \
1026        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1027        "$$tst" $(AM_TESTS_FD_REDIRECT)
1028.test.log:
1029        @p='$<'; \
1030        $(am__set_b); \
1031        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1032        --log-file $$b.log --trs-file $$b.trs \
1033        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1034        "$$tst" $(AM_TESTS_FD_REDIRECT)
1035@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1036@am__EXEEXT_TRUE@       @p='$<'; \
1037@am__EXEEXT_TRUE@       $(am__set_b); \
1038@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1039@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1040@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1041@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1042
1043distdir: $(DISTFILES)
1044        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1045        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1046        list='$(DISTFILES)'; \
1047          dist_files=`for file in $$list; do echo $$file; done | \
1048          sed -e "s|^$$srcdirstrip/||;t" \
1049              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1050        case $$dist_files in \
1051          */*) $(MKDIR_P) `echo "$$dist_files" | \
1052                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1053                           sort -u` ;; \
1054        esac; \
1055        for file in $$dist_files; do \
1056          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1057          if test -d $$d/$$file; then \
1058            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1059            if test -d "$(distdir)/$$file"; then \
1060              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1061            fi; \
1062            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1063              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1064              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1065            fi; \
1066            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1067          else \
1068            test -f "$(distdir)/$$file" \
1069            || cp -p $$d/$$file "$(distdir)/$$file" \
1070            || exit 1; \
1071          fi; \
1072        done
1073check-am: all-am
1074        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1075        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1076check: check-am
1077all-am: Makefile $(LTLIBRARIES)
1078installdirs:
1079install: install-am
1080install-exec: install-exec-am
1081install-data: install-data-am
1082uninstall: uninstall-am
1083
1084install-am: all-am
1085        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1086
1087installcheck: installcheck-am
1088install-strip:
1089        if test -z '$(STRIP)'; then \
1090          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1091            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1092              install; \
1093        else \
1094          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1095            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1096            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1097        fi
1098mostlyclean-generic:
1099        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1100        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1101        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1102
1103clean-generic:
1104        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1105
1106distclean-generic:
1107        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1108        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1109
1110maintainer-clean-generic:
1111        @echo "This command is intended for maintainers to use"
1112        @echo "it deletes files that may require special tools to rebuild."
1113clean: clean-am
1114
1115clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1116        clean-noinstLTLIBRARIES mostlyclean-am
1117
1118distclean: distclean-am
1119        -rm -rf ./$(DEPDIR)
1120        -rm -f Makefile
1121distclean-am: clean-am distclean-compile distclean-generic \
1122        distclean-tags
1123
1124dvi: dvi-am
1125
1126dvi-am:
1127
1128html: html-am
1129
1130html-am:
1131
1132info: info-am
1133
1134info-am:
1135
1136install-data-am:
1137
1138install-dvi: install-dvi-am
1139
1140install-dvi-am:
1141
1142install-exec-am:
1143
1144install-html: install-html-am
1145
1146install-html-am:
1147
1148install-info: install-info-am
1149
1150install-info-am:
1151
1152install-man:
1153
1154install-pdf: install-pdf-am
1155
1156install-pdf-am:
1157
1158install-ps: install-ps-am
1159
1160install-ps-am:
1161
1162installcheck-am:
1163
1164maintainer-clean: maintainer-clean-am
1165        -rm -rf ./$(DEPDIR)
1166        -rm -f Makefile
1167maintainer-clean-am: distclean-am maintainer-clean-generic
1168
1169mostlyclean: mostlyclean-am
1170
1171mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1172        mostlyclean-libtool
1173
1174pdf: pdf-am
1175
1176pdf-am:
1177
1178ps: ps-am
1179
1180ps-am:
1181
1182uninstall-am:
1183
1184.MAKE: check-am install-am install-strip
1185
1186.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1187        clean-checkPROGRAMS clean-generic clean-libtool \
1188        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1189        distclean-compile distclean-generic distclean-libtool \
1190        distclean-tags distdir dvi dvi-am html html-am info info-am \
1191        install install-am install-data install-data-am install-dvi \
1192        install-dvi-am install-exec install-exec-am install-html \
1193        install-html-am install-info install-info-am install-man \
1194        install-pdf install-pdf-am install-ps install-ps-am \
1195        install-strip installcheck installcheck-am installdirs \
1196        maintainer-clean maintainer-clean-generic mostlyclean \
1197        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1198        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1199        uninstall-am
1200
1201.PRECIOUS: Makefile
1202
1203
1204$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1205
1206testHeaders: $(srcdir)/*.h
1207        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1208
1209.PHONY: testHeaders
1210
1211# Tell versions [3.59,3.63) of GNU make to not export all variables.
1212# Otherwise a system limit (for SysV at least) may be exceeded.
1213.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.